Update expected xml to JJB 2.0 format
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-ciman-jjb-deploy-job
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>1</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76       </parameterDefinitions>
77     </hudson.model.ParametersDefinitionProperty>
78   </properties>
79   <scm class="hudson.plugins.git.GitSCM">
80     <configVersion>2</configVersion>
81     <userRemoteConfigs>
82       <hudson.plugins.git.UserRemoteConfig>
83         <name>origin</name>
84         <refspec>refs/heads/master</refspec>
85         <url>$GIT_URL/$GERRIT_PROJECT</url>
86         <credentialsId>test-credential</credentialsId>
87       </hudson.plugins.git.UserRemoteConfig>
88     </userRemoteConfigs>
89     <branches>
90       <hudson.plugins.git.BranchSpec>
91         <name>refs/heads/master</name>
92       </hudson.plugins.git.BranchSpec>
93     </branches>
94     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
95     <remotePoll>false</remotePoll>
96     <gitTool>Default</gitTool>
97     <submoduleCfg class="list"/>
98     <reference/>
99     <gitConfigName/>
100     <gitConfigEmail/>
101     <extensions>
102       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
103         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
105       <hudson.plugins.git.extensions.impl.SubmoduleOption>
106         <disableSubmodules>false</disableSubmodules>
107         <recursiveSubmodules>true</recursiveSubmodules>
108         <trackingSubmodules>false</trackingSubmodules>
109         <parentCredentials>false</parentCredentials>
110         <reference/>
111         <timeout>10</timeout>
112       </hudson.plugins.git.extensions.impl.SubmoduleOption>
113       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
114     </extensions>
115   </scm>
116   <triggers class="vector">
117     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
118       <spec/>
119       <gerritProjects>
120         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
121           <compareType>ANT</compareType>
122           <pattern>releng/ciman</pattern>
123           <branches>
124             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
125               <compareType>ANT</compareType>
126               <pattern>**/master</pattern>
127             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
128           </branches>
129           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
130         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
131       </gerritProjects>
132       <skipVote>
133         <onSuccessful>false</onSuccessful>
134         <onFailed>false</onFailed>
135         <onUnstable>false</onUnstable>
136         <onNotBuilt>false</onNotBuilt>
137       </skipVote>
138       <silentMode>false</silentMode>
139       <silentStartMode>false</silentStartMode>
140       <escapeQuotes>true</escapeQuotes>
141       <noNameAndEmailParameters>false</noNameAndEmailParameters>
142       <readableMessage>false</readableMessage>
143       <dependencyJobsNames/>
144       <notificationLevel/>
145       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
146       <triggerConfigURL/>
147       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
148       <triggerOnEvents>
149         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
150           <commentAddedCommentContains>jjb-deploy (?!\*+$).+$</commentAddedCommentContains>
151         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
152       </triggerOnEvents>
153       <buildStartMessage/>
154       <buildFailureMessage/>
155       <buildSuccessfulMessage/>
156       <buildUnstableMessage/>
157       <buildNotBuiltMessage/>
158       <buildUnsuccessfulFilepath/>
159       <customUrl/>
160       <serverName>test-server</serverName>
161     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
162   </triggers>
163   <builders>
164     <EnvInjectBuilder>
165       <info>
166         <propertiesContent>PIP_PACKAGES=jenkins-job-builder</propertiesContent>
167       </info>
168     </EnvInjectBuilder>
169     <hudson.tasks.Shell>
170       <command>#!/bin/bash
171 # SPDX-License-Identifier: EPL-1.0
172 ##############################################################################
173 # Copyright (c) 2017 The Linux Foundation and others.
174 #
175 # All rights reserved. This program and the accompanying materials
176 # are made available under the terms of the Eclipse Public License v1.0
177 # which accompanies this distribution, and is available at
178 # http://www.eclipse.org/legal/epl-v10.html
179 ##############################################################################
180 # pip install packages into a virtualenv using the first listed package as venv name
181 #
182 # PIP_PACKAGES is a space separated list of pypi packages to install. The first
183 #              listed package is used as the virtualenv directory name.
184 echo &quot;---&gt; pip-install.sh&quot;
185
186 # Ensure we fail the job if any steps fail.
187 # DO NOT set -u as virtualenv's activate script has unbound variables
188 set -e -o pipefail
189
190 # Install git-review using virtualenv to the latest version that supports
191 # --reviewers option, available through pip install. Existing minion image has a
192 # version that does not have it.
193 virtualenv &quot;/tmp/v/${PIP_PACKAGES%% *}&quot;
194 # shellcheck source=/tmp/v/venv/bin/activate disable=SC1091
195 source &quot;/tmp/v/${PIP_PACKAGES%% *}/bin/activate&quot;
196 pip install --quiet --upgrade pip
197 pip install --quiet --upgrade pipdeptree
198
199 # PIP_PACKAGES needs to be passed through as a space separated list of packages
200 # shellcheck disable=SC2086
201 pip install --upgrade $PIP_PACKAGES
202
203 echo &quot;----&gt; Pip Dependency Tree&quot;
204 pipdeptree
205 </command>
206     </hudson.tasks.Shell>
207     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
208       <managedFiles>
209         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
210           <fileId>jjbini-sandbox</fileId>
211           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
212           <variable/>
213         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
214       </managedFiles>
215     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
216     <hudson.tasks.Shell>
217       <command>#!/bin/bash
218 # SPDX-License-Identifier: EPL-1.0
219 ##############################################################################
220 # Copyright (c) 2017 The Linux Foundation and others.
221 #
222 # All rights reserved. This program and the accompanying materials
223 # are made available under the terms of the Eclipse Public License v1.0
224 # which accompanies this distribution, and is available at
225 # http://www.eclipse.org/legal/epl-v10.html
226 ##############################################################################
227 # Push a job to jenkins-sandbox via Gerrit / GitHub comment
228 # Comment Pattern: jjb-deploy JOB_NAME
229 # JOB_NAME: Can also include * wildcards too. Additional parameters are ignored.
230 echo &quot;---&gt; jjb-deploy-job.sh&quot;
231
232 # Ensure we fail the job if any steps fail.
233 set -e -o pipefail
234
235 # shellcheck source=/tmp/v/jenkins-job-builder/bin/activate disable=SC1091
236 source &quot;/tmp/v/jenkins-job-builder/bin/activate&quot;
237
238 echo &quot;-----&gt; Fetching project&quot;
239 git fetch origin &quot;$GERRIT_REFSPEC&quot; &amp;&amp; git checkout FETCH_HEAD
240
241 # If not Gerrit Trigger than assume GitHub
242 COMMENT=&quot;${GERRIT_EVENT_COMMENT_TEXT:-$ghprbCommentBody}&quot;
243 JOB_NAME=$(echo &quot;$COMMENT&quot; | grep jjb-deploy | awk '{print $2}')
244
245 # Strip all * characters to prevent pushing all jobs to Jenkins
246 if [ -z &quot;${JOB_NAME//\*/}&quot; ]; then
247     echo &quot;ERROR: JOB_NAME cannot be empty or '*'.&quot;
248     exit 1
249 fi
250
251 jenkins-jobs update --recursive --workers 4 jjb/ &quot;$JOB_NAME&quot;
252 </command>
253     </hudson.tasks.Shell>
254   </builders>
255   <publishers>
256     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
257       <buildSteps>
258         <hudson.tasks.Shell>
259           <command>#!/bin/bash
260 # SPDX-License-Identifier: EPL-1.0
261 ##############################################################################
262 # Copyright (c) 2017 The Linux Foundation and others.
263 #
264 # All rights reserved. This program and the accompanying materials
265 # are made available under the terms of the Eclipse Public License v1.0
266 # which accompanies this distribution, and is available at
267 # http://www.eclipse.org/legal/epl-v10.html
268 ##############################################################################
269 echo &quot;---&gt; sysstat.sh&quot;
270 set +e  # DON'T fail build if script fails.
271
272 OS=$(facter operatingsystem)
273 case &quot;$OS&quot; in
274     Ubuntu)
275         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
276
277         # Dont run the script when systat is not enabled by default
278         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
279             exit 0
280         fi
281     ;;
282     CentOS|RedHat)
283         SYSSTAT_PATH=&quot;/var/log/sa&quot;
284     ;;
285     *)
286         # nothing to do
287         exit 0
288     ;;
289 esac
290
291 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
292 mkdir -p &quot;$SAR_DIR&quot;
293 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
294 # convert sar data to ascii format
295 while IFS=&quot;&quot; read -r sarfilenum
296 do
297     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
298 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
299
300 # DON'T fail build if script fails.
301 exit 0
302 </command>
303         </hudson.tasks.Shell>
304         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
305           <managedFiles>
306             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
307               <fileId>jenkins-log-archives-settings</fileId>
308               <targetLocation/>
309               <variable>SETTINGS_FILE</variable>
310             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
311           </managedFiles>
312         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
313         <EnvInjectBuilder>
314           <info>
315             <propertiesContent>SERVER_ID=logs</propertiesContent>
316           </info>
317         </EnvInjectBuilder>
318         <hudson.tasks.Shell>
319           <command>#!/bin/bash
320 # SPDX-License-Identifier: EPL-1.0
321 ##############################################################################
322 # Copyright (c) 2017 The Linux Foundation and others.
323 #
324 # All rights reserved. This program and the accompanying materials
325 # are made available under the terms of the Eclipse Public License v1.0
326 # which accompanies this distribution, and is available at
327 # http://www.eclipse.org/legal/epl-v10.html
328 ##############################################################################
329 echo &quot;---&gt; create-netrc.sh&quot;
330
331 # Ensure we fail the job if any steps fail.
332 set -eu -o pipefail
333
334 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
335 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
336     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
337     -v x:username -o &quot;:&quot; -v x:password \
338     &quot;$SETTINGS_FILE&quot;)
339
340 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
341 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
342 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
343
344 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
345 </command>
346         </hudson.tasks.Shell>
347         <hudson.tasks.Shell>
348           <command>#!/bin/bash
349 # SPDX-License-Identifier: EPL-1.0
350 ##############################################################################
351 # Copyright (c) 2017 The Linux Foundation and others.
352 #
353 # All rights reserved. This program and the accompanying materials
354 # are made available under the terms of the Eclipse Public License v1.0
355 # which accompanies this distribution, and is available at
356 # http://www.eclipse.org/legal/epl-v10.html
357 ##############################################################################
358 echo &quot;---&gt; lftools-install.sh&quot;
359
360 # Script to install lftools via a version passed in via lf-infra-parameters
361 #
362 # Required parameters:
363 #
364 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
365 #                      set to a strict version number like '1.2.3' or using
366 #                      PEP-440 definitions.
367 #
368 #                      Examples:
369 #                          &lt;1.0.0
370 #                          &gt;=1.0.0,&lt;2.0.0
371 #
372 # By default a released version of lftools should always be used.
373 # The purpose of the 2 variables below is so that lftools devs can test
374 # unreleased versions of lftools. There are 2 methods to install a dev version
375 # of lftools:
376 #
377 #     1) gerrit patch: Used to test a patch that has not yet been merged.
378 #                      To do this set something like this:
379 #                          LFTOOLS_MODE=gerrit
380 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
381 #
382 #     2) git branch: Used to install an lftools version from a specific branch.
383 #                    To use this set the variables as follows:
384 #                          LFTOOLS_MODE=git
385 #                          LFTOOLS_REFSPEC=master
386 #
387 #     3) release : The intended use case and default setting.
388 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
389
390 LFTOOLS_MODE=release  # release | git | gerrit
391 LFTOOLS_REFSPEC=master
392
393 # Ensure we fail the job if any steps fail.
394 # DO NOT set -u as virtualenv's activate script has unbound variables
395 set -e -o pipefail
396
397 virtualenv --quiet &quot;/tmp/v/lftools&quot;
398 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
399 source &quot;/tmp/v/lftools/bin/activate&quot;
400 pip install --quiet --upgrade pip
401
402 case $LFTOOLS_MODE in
403     gerrit)
404         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
405         pushd /tmp/lftools
406         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
407         git checkout FETCH_HEAD
408         pip install --quiet --upgrade -r requirements.txt
409         pip install --quiet --upgrade -e .
410         popd
411         ;;
412
413     git)
414         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
415         ;;
416
417     release)
418         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
419             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
420         fi
421
422         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
423         ;;
424 esac
425
426 lftools --version
427
428 # pipdeptree prints out a lot of information because lftools pulls in many
429 # dependencies. Let's only print it if we want to debug.
430 # echo &quot;----&gt; Pip Dependency Tree&quot;
431 # pip install --quiet --upgrade pipdeptree
432 # pipdeptree
433
434 #!/bin/bash
435 # SPDX-License-Identifier: EPL-1.0
436 ##############################################################################
437 # Copyright (c) 2017 The Linux Foundation and others.
438 #
439 # All rights reserved. This program and the accompanying materials
440 # are made available under the terms of the Eclipse Public License v1.0
441 # which accompanies this distribution, and is available at
442 # http://www.eclipse.org/legal/epl-v10.html
443 ##############################################################################
444 echo &quot;---&gt; logs-deploy.sh&quot;
445
446 # Ensure we fail the job if any steps fail.
447 set -eu -o pipefail
448
449 set -x  # Trace commands for this script to make debugging easier.
450
451 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
452 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
453
454 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
455 then
456     set +x # Disable trace since we no longer need it
457
458     echo &quot;WARNING: Logging server not set&quot;
459 else
460     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
461     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
462     BUILD_URL=&quot;${BUILD_URL}&quot;
463
464     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
465     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
466
467     set +x  # Disable trace since we no longer need it.
468
469     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
470 fi
471 </command>
472         </hudson.tasks.Shell>
473         <hudson.tasks.Shell>
474           <command>#!/bin/bash
475 # SPDX-License-Identifier: EPL-1.0
476 ##############################################################################
477 # Copyright (c) 2017 The Linux Foundation and others.
478 #
479 # All rights reserved. This program and the accompanying materials
480 # are made available under the terms of the Eclipse Public License v1.0
481 # which accompanies this distribution, and is available at
482 # http://www.eclipse.org/legal/epl-v10.html
483 ##############################################################################
484
485 # Clear log credential files
486 rm &quot;$SETTINGS_FILE&quot;
487 rm ~/.netrc
488 </command>
489         </hudson.tasks.Shell>
490         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
491           <regexp>^Build logs: .*</regexp>
492         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
493       </buildSteps>
494       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
495       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
496       <markBuildUnstable>false</markBuildUnstable>
497     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
498     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
499       <patterns>
500         <hudson.plugins.ws__cleanup.Pattern>
501           <pattern>**/*.jenkins-trigger</pattern>
502           <type>EXCLUDE</type>
503         </hudson.plugins.ws__cleanup.Pattern>
504       </patterns>
505       <deleteDirs>false</deleteDirs>
506       <cleanupMatrixParent>false</cleanupMatrixParent>
507       <externalDelete/>
508       <cleanWhenSuccess>true</cleanWhenSuccess>
509       <cleanWhenUnstable>true</cleanWhenUnstable>
510       <cleanWhenFailure>true</cleanWhenFailure>
511       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
512       <cleanWhenAborted>true</cleanWhenAborted>
513       <notFailBuild>true</notFailBuild>
514     </hudson.plugins.ws__cleanup.WsCleanup>
515   </publishers>
516   <buildWrappers>
517     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
518     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
519       <timeoutMinutes>5</timeoutMinutes>
520       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
521       <failBuild>true</failBuild>
522       <writingDescription>false</writingDescription>
523       <timeoutPercentage>0</timeoutPercentage>
524       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
525       <timeoutType>absolute</timeoutType>
526     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
527     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
528     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
529       <user>test-credential</user>
530     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
531     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
532     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
533       <managedFiles>
534         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
535           <fileId>npmrc</fileId>
536           <targetLocation>$HOME/.npmrc</targetLocation>
537           <variable/>
538         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
539       </managedFiles>
540     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
541   </buildWrappers>
542 </project>